Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hwpf.usermodel
Class SectionProperties

    java.lang.Object
      org.apache.poi.hwpf.model.types.SEPAbstractType
          org.apache.poi.hwpf.usermodel.SectionProperties

    public final class SectionProperties

extends SEPAbstractType

Field Summary

Fields inherited from class org.apache.poi.hwpf.model.types.SEPAbstractType
`BKC_EVEN_PAGE, BKC_NEW_COLUMN, BKC_NEW_PAGE, BKC_NO_BREAK, BKC_ODD_PAGE, DMORIENTPAGE_LANDSCAPE, DMORIENTPAGE_PORTRAIT, NFCPGN_ARABIC, NFCPGN_LETTER_LOWER_CASE, NFCPGN_LETTER_UPPER_CASE, NFCPGN_ROMAN_LOWER_CASE, NFCPGN_ROMAN_UPPER_CASE`

Constructor Summary
`SectionProperties()`

Method Summary
`java.lang.Object` | `clone()`
`boolean` | `equals(java.lang.Object obj)`

Methods inherited from class org.apache.poi.hwpf.model.types.SEPAbstractType
`getBkc, getBrcBottom, getBrcLeft, getBrcRight, getBrcTop, getCcolM1, getClm, getCnsPgn, getDmBinFirst, getDmBinOther, getDmOrientFirst, getDmOrientPage, getDmPaperReq, getDttmPropRMark, getDxaColumns, getDxaColumnWidth, getDxaLeft, getDxaLnn, getDxaPgn, getDxaRight, getDxtCharSpace, getDyaBottom, getDyaHdrBottom, getDyaHdrTop, getDyaLinePitch, getDyaPgn, getDyaTop, getDzaGutter, getFAutoPgn, getFEndNote, getFEvenlySpaced, getFLayout, getFLBetween, getFPgnRestart, getFPropMark, getFTitlePage, getFUnlocked, getGrpfIhdt, getIbstPropRMark, getIHeadingPgn, getLnc, getLnnMin, getNfcPgn, getNLnnMod, getOlstAnm, getPgbProp, getPgnStart, getRgdxaColumn, getUnused2, getUnused3, getUnused4, getUnused5, getUnused6, getVjc, getWTextFlow, getXaPage, getXaPageNUp, getYaPage, getYaPageNUp, setBkc, setBrcBottom, setBrcLeft, setBrcRight, setBrcTop, setCcolM1, setClm, setCnsPgn, setDmBinFirst, setDmBinOther, setDmOrientFirst, setDmOrientPage, setDmPaperReq, setDttmPropRMark, setDxaColumns, setDxaColumnWidth, setDxaLeft, setDxaLnn, setDxaPgn, setDxaRight, setDxtCharSpace, setDyaBottom, setDyaHdrBottom, setDyaHdrTop, setDyaLinePitch, setDyaPgn, setDyaTop, setDzaGutter, setFAutoPgn, setFEndNote, setFEvenlySpaced, setFLayout, setFLBetween, setFPgnRestart, setFPropMark, setFTitlePage, setFUnlocked, setGrpfIhdt, setIbstPropRMark, setIHeadingPgn, setLnc, setLnnMin, setNfcPgn, setNLnnMod, setOlstAnm, setPgbProp, setPgnStart, setRgdxaColumn, setUnused2, setUnused3, setUnused4, setUnused5, setUnused6, setVjc, setWTextFlow, setXaPage, setXaPageNUp, setYaPage, setYaPageNUp, toString`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SectionProperties

    public SectionProperties()

Method Detail

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Overrides:
    `clone` in class `java.lang.Object`
  Throws:
    `java.lang.CloneNotSupportedException`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD